| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::Array< TYP > Class Template Reference

`#include <NTuple.h>`

Inheritance diagram for NTuple::Array< TYP >:

[legend]
Collaboration diagram for NTuple::Array< TYP >:

[legend]
List of all members.

## Detailed Description

### template<class TYP>
class NTuple::Array< TYP >

Class acting as a smart pointer holding a N tuple _Item.

Definition at line 319 of file NTuple.h.

## Public Member Functions
| Array ()
| Standard Constructor.
template<class T>
Array & | operator= (const Array< T > &copy)
| Assignment operator.
template<class T>
TYP & | operator[] (const T i)
| Array operator.
template<class T>
const TYP & | operator[] (const T i) const
| Array operator.
virtual | ~Array ()

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Array< TYP >::Array | ( |  | ) | `[inline]`

Standard Constructor.

Definition at line 322 of file NTuple.h.

    00322 {    }

template<class TYP>

virtual NTuple::Array< TYP >::~Array | ( |  | ) | `[inline, virtual]`

Definition at line 335 of file NTuple.h.

    00335 {}

## Member Function Documentation

template<class TYP>
template<class T>

Array& NTuple::Array< TYP >::operator= | ( | const Array< T > & | copy | ) | `[inline]`

Assignment operator.

Definition at line 325 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00325                                             {
    00326       *(this->m_ptr) = *(copy.operator->());
    00327       return *this;
    00328     }

template<class TYP>
template<class T>

TYP& NTuple::Array< TYP >::operator[] | ( | const T | i | ) | `[inline]`

Array operator.

Definition at line 331 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00331 { return this->m_ptr->data(i);  }

template<class TYP>
template<class T>

const TYP& NTuple::Array< TYP >::operator[] | ( | const T | i | ) | const`[inline]`

Array operator.

Definition at line 334 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00334 { return this->m_ptr->data(i);  }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTuple.h